<div class="page-wrapper">
    <div class="container-fluid">
  <form [formGroup]="myForm" (ngSubmit)="save(myForm.value)">
      <div class="form-group col-xs-4 col-md-4  col-xs-offset-1 col-md-offset-1">
          <label>Usuario</label>
          <input type="text" class="form-control" formControlName="name" value="{{usuario.name}}">
      </div>
      <div class="form-group col-xs-4 col-md-4  col-xs-offset-1 col-md-offset-1">
          <label>Nombre</label>
          <input type="text" class="form-control" formControlName="primer_nombre" value="{{usuario.primer_nombre}}">
      </div>
      <div class="form-group col-xs-4 col-md-4  col-xs-offset-1 col-md-offset-1">
          <label>Apellido</label>
          <input type="text" class="form-control" formControlName="apellido" value="{{usuario.apellido}}">
      </div>
      <div class="form-group col-xs-4 col-md-4  col-xs-offset-1 col-md-offset-1">
          <label>Email</label>
          <input type="text" class="form-control" formControlName="email" value="{{usuario.email}}">
      </div>
      <div class="form-group col-xs-4 col-md-4  col-xs-offset-1 col-md-offset-1">
          <label>Password</label>
          <input type="text" class="form-control" formControlName="password" value="{{usuario.password}}">
      </div>

      <div class="col-xs-12">
          <div class="form-group text-center">
              <button type="submit " class="btn btn-primary" [disabled]="!myForm.valid " style="margin-right:50px">Guardar</button>
              <a >
                  <input type="button" value="Cancelar" class="btn btn-danger cancel">
              </a>
          </div>
      </div>
      <div class="clearfix "></div>
      <div class="margin-20">
          <div>myForm details:-</div>
          <pre>form value: <br>{{myForm.value | json}}</pre>
      </div>
  </form>
</div>
</div>
